## NAME

r.quantile - Compute quantiles using two passes.

## KEYWORDS

raster, algebra, statistics, percentile, quantile

## SYNOPSIS

r.quantile
r.quantile --help
r.quantile [-r] input=name [quantiles=integer] [percentiles=float[,float,...]] [bins=integer] [file=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-r
  Generate recode rules based on quantile-defined intervals
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input raster map
quantiles=integer
  Number of quantiles
  Default: 4
percentiles=float[,float,...]
  List of percentiles
bins=integer
  Number of bins to use
  Default: 1000000
file=name
  Name for output file (if omitted or "-" output to stdout)

## DESCRIPTION

r.quantile computes quantiles in a manner suitable for use with large amounts of data. It is using two passes.

## EXAMPLE

Calculation of elevation quantiles (printed to standard-out):

    g.region raster=elevation -p
    r.quantile input=elevation percentiles=0.1,1,10,25,50,75,90,99,99.9

The output of r.quantile can be used for quantile classification:

    g.region raster=elevation -p
    r.quantile elevation quantiles=5 -r --quiet | r.recode elevation \
               out=elev_quant5 rules=-

## SEE ALSO

r.mode, r.quant, r.recode, r.series, r.stats, r.stats.quantile, r.stats.zonal, r.statistics, r.univar, v.rast.stats

## AUTHOR

Glynn Clements

Last changed: $Date$

## SOURCE CODE

Available at: r.quantile source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual